For the complete documentation index, see llms.txt. This page is also available as Markdown.

API metadata

Get API metadata.

get
Responses
200Success
application/json
commit_hashstringRequired

The git commit hash the API is running on.

Example: 61b58e38f226a8148fba5da8398e7cb2e2c11fd2
dbstringRequired

The database the API is pulling data from.

Example: production-live
deploy_hashstringRequired

The deployment hash the API is running on.

Example: dpl_13SZp56zC5qn3f9yG1cW2HTdJ31f
messagestringRequired

A brief description of the API.

Example: Grand Archive TCG API server.
request_receivednumberRequired

The time the request was received by the server.

Example: 1748939089
get/
GET / HTTP/1.1
Host: api.gatcg.com
Accept: */*
200Success
{
  "commit_hash": "61b58e38f226a8148fba5da8398e7cb2e2c11fd2",
  "db": "production-live",
  "deploy_hash": "dpl_13SZp56zC5qn3f9yG1cW2HTdJ31f",
  "message": "Grand Archive TCG API server.",
  "request_received": 1748939089
}

List changelog entries.

get

This returns a list of API update changelog entries ordered by descending date.

Query parameters
limitnumber · min: 1 · max: 100Optional

Number of results to display.

Default: 50
Responses
200

A list of changelog entries ordered by descending date.

application/json

A list of changelog entries ordered by descending date.

contentstringRequired

A HTML description of the update with Index-specific links.

Example: Added new set: <a href="/cards?prefix=ALC%201st">Alchemical Revolution First Edition</a>.
datestring · date-timeRequired

When the dataset was created.

Example: 2024-10-11T12:00:00+00:00
uuidstringRequired

A 10-character alphanumeric UUID.

Example: abcde12345
get/changelog/list
GET /changelog/list HTTP/1.1
Host: api.gatcg.com
Accept: */*
200

A list of changelog entries ordered by descending date.

[
  {
    "content": "Added new set: <a href=\"/cards?prefix=ALC%201st\">Alchemical Revolution First Edition</a>.",
    "date": "2024-10-11T12:00:00+00:00",
    "uuid": "abcde12345"
  }
]

Last updated